metasploit: move majority of metasploit to gentoo, keeping only 9999 for now

This commit is contained in:
Rick Farina (Zero_Chaos) 2015-09-04 17:46:29 -04:00
parent 60b58278d4
commit 734cafa53a
56 changed files with 1 additions and 2328 deletions

View file

@ -1 +0,0 @@
DIST arel-helpers-2.0.1.gem 9728 SHA256 de627d6d78af542d99bdfd178e7decd8f351e4de66758ac220f92418291b8b82 SHA512 241af61b00822ac091a04673ae0f6421c88ce8b96141cc9f468c62465b2720ca38d1a041faa720db40dd3a4cee407c1126152ac6125b3ed9a759daedd06b6955 WHIRLPOOL 3024a34b8a9720acbfb66e811b97ff1954c3cda83a97bc2544b5dbab0d94f5eb09eec8891c88bd0582dfdffdfe5abbf1e3be47cc9b61b888e52cb8a85121ab3c

View file

@ -1,20 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
DESCRIPTION="Tools to help construct database queries"
HOMEPAGE="https://github.com/camertron/arel-helpers"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/activerecord-3.1.0"
# =<dev-ruby/activerecord-5*"

View file

@ -1,4 +0,0 @@
DIST metasploit-concern-0.1.1.gem 12800 SHA256 dd0e692c598bef0b914280b762a5e59d8d9fdbeed5c572a43ce5882ae869e67e SHA512 e4ff7649cf2ea3a8e1ff630d1b7ec27c1ebcb6bf9753fa67897d07da83a91329b64c050a4949d4b7f9f96afd282384a732de6fb552bf50effbd4a4931c1ac6e4 WHIRLPOOL cec0e80e51ebb35974c39d410a5b399f8ad0cacdfecd552b9b8ad5049691b637882cb341ebd7a1e2f22421ea4d1ec890c92dd8be6ca20e778c305258e57be3db
DIST metasploit-concern-0.3.0.gem 12800 SHA256 fdc7313026bf6b0f208ab48f40fa81c25f0c2c529287dee4e2726c9aab6a0b5d SHA512 d62720019873d10e6e6d82d30c28b71b0a65c5272b34f5b4bc1876333af139f70f55a21de23a9b331a3e6000c40df052405e690ee1a48f31eeef92a5d33a38ca WHIRLPOOL 6296321a9d7e16303332ed48eb8f094a4ee9c6671c9daac3bb135bc6a725ff9d96711fe0a46cc8d5b53f8fac959112d0d8905ec8fefeceb4060a7c0af74d7221
DIST metasploit-concern-0.4.0.gem 13312 SHA256 10449ee282a1687c755ce4673ba348595ce19ab9fc06b2041923aec1cadfb5f7 SHA512 517c45572c53e07a77aa413813fb1b2ef18eebe309be236786deb05b406be04909b373e4c8e3ea8367a13299b85512237717af6b3dcca4e3b22194ea1dcd8354 WHIRLPOOL a62ff5006060b4b3ef5e19347c714775325281a7f12721af2916b064a518f20bf305467c684aa1bb65ece2150cc34566e3f2c8b2ab9a9091dbfab0f90eab60f6
DIST metasploit-concern-1.0.0.gem 13312 SHA256 0479a6766d4754720d8eb6ac6b9c108c68095b7e3068d4cca62dd5838173ecfe SHA512 2fc2e511503b4efcc10fec9e0027936333a16de14acd53155942bde1d77e5e208510ec2b563e9ffb81d49d320b6f62bf0fd04f40bc2d2703778943d4730d5bc9 WHIRLPOOL 748be7d2f09af22d9767a0b41321182637058ceefbff8dd1a41ba336a5c31c9c59589b80a012402e7fd33e6892f6ca233d7b0d3cc4d863a955a3fc617f3eaeb2

View file

@ -1,50 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_EXTRAINSTALL="app spec"
inherit ruby-fakegem versionator
DESCRIPTION="Metasploit concern allows you to define concerns in app/concerns. "
HOMEPAGE="https://github.com/rapid7/metasploit-concern"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-concern:0"
ruby_add_rdepend "<dev-ruby/railties-4.0.0
dev-ruby/activesupport:3.2"
#all_ruby_prepare() {
# [ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
# sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
# sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
# sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
# sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
#}
#each_ruby_prepare() {
# if [ -f Gemfile ]
# then
# BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
# BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
# fi
#}

View file

@ -1,50 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_EXTRAINSTALL="app spec"
inherit ruby-fakegem versionator
DESCRIPTION="Metasploit concern allows you to define concerns in app/concerns. "
HOMEPAGE="https://github.com/rapid7/metasploit-concern"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-concern:0"
ruby_add_rdepend "<dev-ruby/railties-4.0.0
dev-ruby/activesupport:3.2"
#all_ruby_prepare() {
# [ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
# sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
# sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
# sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
# sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
#}
#each_ruby_prepare() {
# if [ -f Gemfile ]
# then
# BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
# BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
# fi
#}

View file

@ -1,50 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_EXTRAINSTALL="app spec"
inherit ruby-fakegem versionator
DESCRIPTION="Metasploit concern allows you to define concerns in app/concerns. "
HOMEPAGE="https://github.com/rapid7/metasploit-concern"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-concern:0"
ruby_add_rdepend "<dev-ruby/railties-4.0.0
dev-ruby/activesupport:3.2"
#all_ruby_prepare() {
# [ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
# sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
# sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
# sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
# sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
#}
#each_ruby_prepare() {
# if [ -f Gemfile ]
# then
# BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
# BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
# fi
#}

View file

@ -1,50 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_EXTRAINSTALL="app spec"
inherit ruby-fakegem versionator
DESCRIPTION="Metasploit concern allows you to define concerns in app/concerns. "
HOMEPAGE="https://github.com/rapid7/metasploit-concern"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-concern:0"
ruby_add_rdepend ">=dev-ruby/railties-4.0.9:4.0
>=dev-ruby/activesupport-4.0.9:4.0"
#all_ruby_prepare() {
# [ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
# sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
# sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
# sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
# sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
#}
#each_ruby_prepare() {
# if [ -f Gemfile ]
# then
# BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
# BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
# fi
#}

View file

@ -1,2 +0,0 @@
DIST metasploit-credential-0.14.5.gem 101376 SHA256 5ec23c2ccfc0f7fc14772d0e14435359366f7a1465fc1e5a4cb3e3a4e1bb6c2c SHA512 fcd18417d3e27d602ed2171e6803c1764f62de92d544c7e4902b975d88c7da47f6229429dfbf9ded0a215f85a54f3ca204e2008781bf7a57a8fa815cc021ab64 WHIRLPOOL c7322b587f8c75c2ec5c2d1ac10edc320f92de9f7d28ec45f97b7be6b8bb4fc12648384bb6762696c089db61bbcf07123e7f381366e6ec1b84f6964e3cd06d0d
DIST metasploit-credential-1.0.0.gem 101888 SHA256 086cb65295f1294c213138bd2a9f2f727d945b90837a7e877b22bc6a47fe33f6 SHA512 4af09458a83d9425c5bfd744bc3f366c08d9175b4c303fa9ff53dd3f2163ba654748ea883d22f069e3b3be1218b57afe909f7ba31feb54c0b7ff781af8d5e631 WHIRLPOOL 506c707f3e1be0e90fad02397a34c70e44d1f423b5909d9f61152e2a4e929eadccf0736ec607c569fe75fff24c6003243d0a9a288979450b8c52d5f1feba1f6d

View file

@ -1,11 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>zerochaos@gentoo.org</email>
<name>Rick Farina</name>
</maintainer>
<longdescription lang="en">
</longdescription>
</pkgmetadata>

View file

@ -1,27 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem versionator
RUBY_FAKEGEM_EXTRAINSTALL="app config db spec"
DESCRIPTION="Code for modeling and managing credentials in Metasploit"
HOMEPAGE="https://github.com/rapid7/metasploit-credential"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend "dev-ruby/metasploit-concern:0.4
dev-ruby/metasploit_data_models:0.24
dev-ruby/metasploit-model:0.29
dev-ruby/rubyzip:1
dev-ruby/rubyntlm
<dev-ruby/railties-4.0.0
dev-ruby/pg"

View file

@ -1,27 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem versionator
RUBY_FAKEGEM_EXTRAINSTALL="app config db spec"
DESCRIPTION="Code for modeling and managing credentials in Metasploit"
HOMEPAGE="https://github.com/rapid7/metasploit-credential"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/metasploit-concern-1.0.0:1.0
>=dev-ruby/metasploit_data_models-1.2.0
>=dev-ruby/metasploit-model-1.0.0
dev-ruby/rubyzip:1
dev-ruby/rubyntlm
>=dev-ruby/railties-4.0.9:4.0
dev-ruby/pg"

View file

@ -1,5 +0,0 @@
DIST metasploit-model-0.25.7.gem 152576 SHA256 e655bb5262f17da1b6fc94742104a04cdfa531f47cdf1b413ff555df2040d410 SHA512 f7c2263cac04fa6971e92a8acf375455012d80cad5f92e28388eedf1b53e05a096f9630617346ea375863fad816d698d15870eaa1cf95ac870d04526f16746d4 WHIRLPOOL d95b97988d3669c5536efd0902b96a15fe9ffdcd50b4a68e9ce67d205f4aa7628bc60cd1ebc79a9ad549f6bbd67184e016985ddc6b846d02a920889a5269bfea
DIST metasploit-model-0.26.1.gem 159232 SHA256 80ec7d7571034256a5b67f15d7ed645863b2e457a6e9c8030ebae0b09206095c SHA512 7bef55a9c00c155cfcdc42e99ffe9beb99672cd6ae9b4fc62b00850e4f2b5da5d5e8abc057f96374de8fff26d4261a07cbe3c5aed8b6a0f272b65ce14f50bb33 WHIRLPOOL db1638235d332f8e1faafec472cdb1be6a437a6cb3862941da4fa352be9c56afb82e10dcacdc4a92d64b97051b0724b73004add83e2880c79895010d896725f9
DIST metasploit-model-0.28.0.gem 154624 SHA256 c6d8862a5923476e805ff52c4f9b1584a365f8a5a688f2c63802056e5aef2e9b SHA512 84de515ad5b6b35229d249daffa58c54a020e3f51dfc9e2c90e2895dcd0b8648815a878f741133b8f6e6dec0e421ef218d9bac7df1bafb54482b11edd95c9e05 WHIRLPOOL 3cde3a36e13b90ea08d3ed6091be450ae7dd6910eef922b3b3b86699fda575cacf01d3bf8486b78912ca048d3187f85876b100591d32935a7e245330351391e7
DIST metasploit-model-0.29.0.gem 74752 SHA256 e21880b15000a9f7db7f0a5e6de0871679d4747e446ce656a01fea1dd5dc0601 SHA512 798785613dc31c476c4e1ff51a6cc60f113ced8c1d18d63765f0479c39c18326ce308fd948772c58faaac81ab68e86bf0354a0b9472e1bafa49cb236496c0703 WHIRLPOOL cd9ef9bdbc402a0b30a2a4e8ea1aea5cc8fb70dc3e31c330b446782079150d61e34e65ddd3862f53408fa0469ed7988acfdf8de1ad160a525362a175aafc8fc2
DIST metasploit-model-1.0.0.gem 77312 SHA256 72e523dd4c13c6146a885599eae150b6addcc1b5e19165fd3382c5a783551cfe SHA512 1020b395787c6ad0f5b409c997f672e35e442e2499081dfab812a87c2aa8ff60d2b59ec1420e88b552e28c9ec12b420806475168da757e41e265d0b8df62dc39 WHIRLPOOL 5f211e16e3c383be0db5a66e97c95d7ff67831e1cfe980b325ff01d353094c69c47f245437ad354e4bd2b6293de288e751d39ead8e37f32242dde71a7b2c487e

View file

@ -1,11 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>zerochaos@gentoo.org</email>
<name>Rick Farina</name>
</maintainer>
<longdescription lang="en">
</longdescription>
</pkgmetadata>

View file

@ -1,74 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
inherit ruby-fakegem versionator
RUBY_FAKEGEM_EXTRAINSTALL="app config script spec"
DESCRIPTION="Common code, such as validators and mixins, that are shared between ActiveModels in metasploit-framework and ActiveRecords in metasploit_data_models"
HOMEPAGE="https://github.com/rapid7/metasploit-model"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-model:0"
ruby_add_rdepend "dev-ruby/railties:3.2
dev-ruby/activesupport
dev-ruby/rake
dev-ruby/i18n
dev-ruby/multi_json
dev-ruby/activesupport
dev-ruby/builder
dev-ruby/activemodel
dev-ruby/erubis
dev-ruby/journey
dev-ruby/rack
dev-ruby/rack-cache
dev-ruby/rack-test
dev-ruby/hike
dev-ruby/tilt
dev-ruby/sprockets
dev-ruby/actionpack
dev-ruby/bundler
dev-ruby/json
dev-ruby/rack-ssl
dev-ruby/rdoc
dev-ruby/thor
dev-ruby/redcarpet
<dev-ruby/yard-0.8.7.4"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}

View file

@ -1,74 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
inherit ruby-fakegem versionator
RUBY_FAKEGEM_EXTRAINSTALL="app config script spec"
DESCRIPTION="Common code, such as validators and mixins, that are shared between ActiveModels in metasploit-framework and ActiveRecords in metasploit_data_models"
HOMEPAGE="https://github.com/rapid7/metasploit-model"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-model:0"
ruby_add_rdepend "dev-ruby/railties:3.2
dev-ruby/activesupport
dev-ruby/rake
dev-ruby/i18n
dev-ruby/multi_json
dev-ruby/activesupport
dev-ruby/builder
dev-ruby/activemodel
dev-ruby/erubis
dev-ruby/journey
dev-ruby/rack
dev-ruby/rack-cache
dev-ruby/rack-test
dev-ruby/hike
dev-ruby/tilt
dev-ruby/sprockets
dev-ruby/actionpack
dev-ruby/bundler
dev-ruby/json
dev-ruby/rack-ssl
dev-ruby/rdoc
dev-ruby/thor
dev-ruby/redcarpet
<dev-ruby/yard-0.8.7.4"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}

View file

@ -1,75 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
RUBY_FAKEGEM_EXTRAINSTALL="app config script spec"
DESCRIPTION="Common code, such as validators and mixins, that are shared between ActiveModels in metasploit-framework and ActiveRecords in metasploit_data_models"
HOMEPAGE="https://github.com/rapid7/metasploit-model"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-model:0"
ruby_add_rdepend "dev-ruby/railties:3.2
dev-ruby/activesupport:3.2
dev-ruby/rake
dev-ruby/i18n
dev-ruby/multi_json
dev-ruby/activesupport
dev-ruby/builder
dev-ruby/activemodel
dev-ruby/erubis
dev-ruby/journey
dev-ruby/rack
dev-ruby/rack-cache
dev-ruby/rack-test
dev-ruby/hike
dev-ruby/tilt
dev-ruby/sprockets
dev-ruby/actionpack
dev-ruby/bundler
dev-ruby/json
dev-ruby/rack-ssl
dev-ruby/rdoc
dev-ruby/thor
dev-ruby/redcarpet
<dev-ruby/yard-0.8.7.4"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
sed -i -e "s/3.2.19/3.2.20/" Gemfile || die
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}

View file

@ -1,75 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
RUBY_FAKEGEM_EXTRAINSTALL="app config script spec"
DESCRIPTION="Common code, such as validators and mixins, that are shared between ActiveModels in metasploit-framework and ActiveRecords in metasploit_data_models"
HOMEPAGE="https://github.com/rapid7/metasploit-model"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-model:0"
ruby_add_rdepend "dev-ruby/railties:3.2
dev-ruby/activesupport:3.2
dev-ruby/rake
dev-ruby/i18n
dev-ruby/multi_json
dev-ruby/activesupport
dev-ruby/builder
dev-ruby/activemodel
dev-ruby/erubis
dev-ruby/journey
dev-ruby/rack
dev-ruby/rack-cache
dev-ruby/rack-test
dev-ruby/hike
dev-ruby/tilt
dev-ruby/sprockets
dev-ruby/actionpack
dev-ruby/bundler
dev-ruby/json
dev-ruby/rack-ssl
dev-ruby/rdoc
dev-ruby/thor
dev-ruby/redcarpet
<dev-ruby/yard-0.8.7.4"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
sed -i -e "s/3.2.19/3.2.20/" Gemfile || die
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}

View file

@ -1,75 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
RUBY_FAKEGEM_EXTRAINSTALL="app config script spec"
DESCRIPTION="Common code, such as validators and mixins, that are shared between ActiveModels in metasploit-framework and ActiveRecords in metasploit_data_models"
HOMEPAGE="https://github.com/rapid7/metasploit-model"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit-model:0"
ruby_add_rdepend ">=dev-ruby/railties-4.0.9:4.0
>=dev-ruby/activesupport-4.0.9:4.0
>=dev-ruby/activemodel-4.0.9:4.0
dev-ruby/bundler
dev-ruby/rake
dev-ruby/i18n
dev-ruby/multi_json
dev-ruby/builder
dev-ruby/erubis
dev-ruby/journey
dev-ruby/rack
dev-ruby/rack-cache
dev-ruby/rack-test
dev-ruby/hike
dev-ruby/tilt
dev-ruby/sprockets
dev-ruby/actionpack
dev-ruby/json
dev-ruby/rack-ssl
dev-ruby/rdoc
dev-ruby/thor
dev-ruby/redcarpet
<dev-ruby/yard-0.8.7.4"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#For now, we don't support development or testing at all
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
sed -i -e "/spec.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
sed -i -e "s/3.2.19/3.2.20/" Gemfile || die
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}

View file

@ -1,8 +1 @@
DIST metasploit-payloads-0.0.3.gem 5118976 SHA256 854f231bc093bcbb86dac3c466110d8b54b52e698b20d0861d7dd17d12b7648f SHA512 444974503791f2feacc6670141afd00d1a7390e9936cca5925941ce3f7eea54a9a634e670c5c9fc982e5de7fbda745eb6f2fae8e1788f216cfd99d1bf95b7310 WHIRLPOOL 65db4878b506c6210d028a713da7f90d7a174dbe0a0ea58d9a9e3a36d5aac4de4e16bc72bd7b8d7f56122a1bed65eb96a2d989e66b233796b40f220bce133f7b
DIST metasploit-payloads-0.0.7.gem 5126144 SHA256 3ca51f06174cad908ec61a9a41c0933ea54cc264a458efa16c4413051f7d8261 SHA512 44af8c99385e64645ef05d9e91996e7e68ccbc937acb842702bca6189669215bf316672bd7265d19b6454a047bc7eee07636e218e3ab3754f80eacd03ad7d272 WHIRLPOOL f282582366e41435fa2c648c149c5ccb8e2688ccefd544571c49c0d2e486a9774b6b4434b62621156c5f543ad6ee39780c59bcfe06d3bad96bc9e02c055fb140
DIST metasploit-payloads-1.0.12.gem 5247488 SHA256 4779b81e263ef21132197e2560b8f1e2a35e2ab8f67c96f20f439e276ab539ff SHA512 909da14e699fb0cdb07a8d24626d7b4c78aa27120fb0460a7b65de7d4b83701f54d3f6820433705f1ac788403150209be2702b8697b89f1cef5c398543f4875d WHIRLPOOL 5902b72fec168428f645a4659afd3a997e483b208e922e91d10625d2b980dc3b73525c9c6d8fa655780c2fc4e1685149bdcb857fd0d00601cc9813a7c41d7319
DIST metasploit-payloads-1.0.3.gem 5204992 SHA256 9179efab9210193b2369dca8a1c7042a106493376f8481d7c3cec0ca85ce6156 SHA512 b8d9ddd9bdb7be41e4501ad68d6c567547b1c4b8f87d5aa7641a93d9fdc92bfcb1774b221e12493fb797a5f7a5dc7778a6dc9de2021eff90ad7d9fab53789cc5 WHIRLPOOL 8317484a6bd814a2dc07ed80e65819063bfb7cd986b7eef75b721111d95e32dc641dc5e5fc0164431862848d863a8d620fb29053362f44c62a26114467318d4c
DIST metasploit-payloads-1.0.4.gem 5220864 SHA256 e784165696a18ecb6dab8cb7954e4c9f2624067c3b9fc372e8098ed21a40100d SHA512 e6fd09d7eb650935005c16f45eab141258a7c11ceb239efa1a075fa7273a9d28ce3fef29baacc7b3bf13c8b4d475ad6d12aba84d9c94e6d2e220a05c8127c447 WHIRLPOOL 82b22b040888c4f89198df621b35a04362d7e7d168428a7417212a7c7ce7cb76bac2530db9618745bb5bab06fc7fc3957d22b73b439d2d8cd84845f8ab12ccce
DIST metasploit-payloads-1.0.6.gem 5222400 SHA256 54754bc0697162b872d7a12d1a29295d3091068881e61c188ac38f7369130236 SHA512 9534032f8d062b703bb3e363057776ad292e8c3e251c06cf8549a902e07b2696903be7ae5912cea87522818ab18cec6d7fd7bf02bed678a6b7bfb70c2ad71e5c WHIRLPOOL bdfa82c28a571270bf7a1f587bb83c4f8a908a7f5c041d6c88f440aaa2ebd5f623dcb0b59d8d6598d250b51b6a5f1552827feaa24157edaaa3bb5d99abe81827
DIST metasploit-payloads-1.0.7.gem 5222912 SHA256 c17ae7f4bb4025abf682c743294046a37645703c54e68201ce2e184d7d0a5816 SHA512 b4b0eafca4db8ab3fcabf892236a04cb501e0a2bf77a4f828615a84c2a859dcfeab813363f1f0cf57e7fa82d238ace6751a61e8d38cda303176674ab3eb8372d WHIRLPOOL af47640edf9bb915171e75b486ff14628d474da2e083dd9aca1640cc109c1cf9308c61193246866a934c454f6953929831636572fa1101b4b5a4ca728c8090d0
DIST metasploit-payloads-1.0.9.gem 5248000 SHA256 bd9eec335158dd25e579c680856f8c48aa9ba081a5d51d87a05dbb1e511087a3 SHA512 4c08284d4b1d667f545d97e879b2581830f34d42560ba6d6ed7adf32312adc841d5fdd8b55ab4e06a196d1e313fb44fbb861ccac7790e50f88260e2def0a76ed WHIRLPOOL a398dcad94b38626d4bd3d9980d05a24ccdbc12bbd2e902dd4f78c9bcd2cf4a26c76645d989a00aec69d041d9203c5ff31e0b0f948028ac6cd06ae724d573950

View file

@ -1,33 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://rubygems.org/gems/metasploit-payloads"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
QA_PREBUILT="
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
"

View file

@ -1,33 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://rubygems.org/gems/metasploit-payloads"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
QA_PREBUILT="
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
"

View file

@ -1,36 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://rubygems.org/gems/metasploit-payloads"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
QA_PREBUILT="
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/armeabi/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/mips/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/x86/libndkstager.so
"

View file

@ -1,36 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://rubygems.org/gems/metasploit-payloads"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
QA_PREBUILT="
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/armeabi/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/mips/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/x86/libndkstager.so
"

View file

@ -1,36 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://rubygems.org/gems/metasploit-payloads"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
QA_PREBUILT="
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/armeabi/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/mips/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/x86/libndkstager.so
"

View file

@ -1,45 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://rubygems.org/gems/metasploit-payloads"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
QA_PREBUILT="
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/armeabi/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/mips/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/x86/libndkstager.so
"
src_install() {
ruby-ng_src_install
#tell revdep-rebuild to ignore binaries meant for the target
dodir /etc/revdep-rebuild
cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-${PN}-${SLOT}
#These dirs contain prebuilt binaries for running on the TARGET not the HOST
SEARCH_DIRS_MASK="/usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs"
EOF
}

View file

@ -1,45 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://rubygems.org/gems/metasploit-payloads"
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
QA_PREBUILT="
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/armeabi/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/mips/libndkstager.so
usr/$(get_libdir)/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/x86/libndkstager.so
"
src_install() {
ruby-ng_src_install
#tell revdep-rebuild to ignore binaries meant for the target
dodir /etc/revdep-rebuild
cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-${PN}-${SLOT}
#These dirs contain prebuilt binaries for running on the TARGET not the HOST
SEARCH_DIRS_MASK="/usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs"
EOF
}

View file

@ -1,159 +0,0 @@
# ChangeLog for dev-ruby/metasploit_data_models
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/ChangeLog,v 1.27 2014/07/09 21:13:54 zerochaos Exp $
09 Jul 2014; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.17.0.ebuild:
backport graff's dep fix
09 Jul 2014; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.17.0.ebuild:
adding ruby20 to usable mdm version
09 Jul 2014; Rick Farina <zerochaos@gentoo.org>
-metasploit_data_models-0.14.3.ebuild, -metasploit_data_models-0.16.1.ebuild,
-metasploit_data_models-0.16.5.ebuild, -metasploit_data_models-0.16.6.ebuild,
-metasploit_data_models-0.16.9.ebuild, -metasploit_data_models-0.17.1.ebuild,
-metasploit_data_models-0.17.2.ebuild,
-metasploit_data_models-0.3.1-r1.ebuild, -metasploit_data_models-0.4.0.ebuild,
-metasploit_data_models-0.5.0.ebuild, -metasploit_data_models-0.5.1.ebuild,
-metasploit_data_models-0.6.0.ebuild, -metasploit_data_models-0.6.1.ebuild,
-metasploit_data_models-0.6.14.ebuild, -metasploit_data_models-0.6.16.ebuild,
-metasploit_data_models-0.6.4.ebuild:
remove unsupported (or old) versions
*metasploit_data_models-0.17.2 (20 Jun 2014)
20 Jun 2014; Hans de Graaff <graaff@gentoo.org>
+metasploit_data_models-0.17.2.ebuild:
Version bump.
*metasploit_data_models-0.17.1 (17 May 2014)
17 May 2014; Hans de Graaff <graaff@gentoo.org>
+metasploit_data_models-0.17.1.ebuild:
Version bump. Update dependencies. Add ruby20.
*metasploit_data_models-0.17.0 (24 Mar 2014)
24 Mar 2014; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.17.0.ebuild:
version bump
*metasploit_data_models-0.16.9 (24 Dec 2013)
24 Dec 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.16.9.ebuild:
version bump
*metasploit_data_models-0.16.6 (19 Aug 2013)
19 Aug 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.16.6.ebuild:
bump
*metasploit_data_models-0.16.5 (18 Jul 2013)
18 Jul 2013; Hans de Graaff <graaff@gentoo.org>
+metasploit_data_models-0.16.5.ebuild:
Version bump.
*metasploit_data_models-0.16.1 (21 Jun 2013)
21 Jun 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.16.1.ebuild:
bumpy
20 May 2013; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.14.3.ebuild:
import changes made by graff which I missed on the bump
*metasploit_data_models-0.14.3 (20 May 2013)
20 May 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.14.3.ebuild:
version bump for metasploit
*metasploit_data_models-0.6.16 (06 May 2013)
06 May 2013; Hans de Graaff <graaff@gentoo.org>
+metasploit_data_models-0.6.16.ebuild:
Version bump. Use eclass support to install additional files.
*metasploit_data_models-0.6.14 (11 Apr 2013)
11 Apr 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.6.14.ebuild:
bump
*metasploit_data_models-0.6.4 (08 Apr 2013)
08 Apr 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.6.4.ebuild:
bump as requested by bug 465152
*metasploit_data_models-0.6.1 (08 Mar 2013)
08 Mar 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.6.1.ebuild:
bump
07 Mar 2013; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.4.0.ebuild, metasploit_data_models-0.5.0.ebuild,
metasploit_data_models-0.5.1.ebuild, metasploit_data_models-0.6.0.ebuild:
dropping unzip DEP, thanks to graaff for the reminder
06 Mar 2013; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.3.1-r1.ebuild, metasploit_data_models-0.4.0.ebuild,
metasploit_data_models-0.5.0.ebuild, metasploit_data_models-0.5.1.ebuild,
metasploit_data_models-0.6.0.ebuild:
tar.gz is half the size, switch to using that instead of zip
05 Mar 2013; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.5.0.ebuild, metasploit_data_models-0.5.1.ebuild,
metasploit_data_models-0.6.0.ebuild:
newer versions need to ship db dir
*metasploit_data_models-0.5.0 (05 Mar 2013)
*metasploit_data_models-0.4.0 (05 Mar 2013)
*metasploit_data_models-0.5.1 (05 Mar 2013)
*metasploit_data_models-0.6.0 (05 Mar 2013)
05 Mar 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.4.0.ebuild, +metasploit_data_models-0.5.0.ebuild,
+metasploit_data_models-0.5.1.ebuild, +metasploit_data_models-0.6.0.ebuild:
adding in a bunch of new versions of this as they are needed for different
versions of metasploit
16 Jan 2013; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.3.1-r1.ebuild:
adding ~arm keywords to net-analyzer/metasploit rdeps
10 Jan 2013; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.3.1-r1.ebuild:
temporarily disable tests as they are failing for others
10 Jan 2013; Rick Farina <zerochaos@gentoo.org> metadata.xml:
fix metadata herd
10 Jan 2013; Rick Farina <zerochaos@gentoo.org>
-metasploit_data_models-0.3.1.ebuild:
removing old, known broken ebuild
*metasploit_data_models-0.3.1-r1 (10 Jan 2013)
10 Jan 2013; Rick Farina <zerochaos@gentoo.org>
+metasploit_data_models-0.3.1-r1.ebuild:
major fixups, pretty sure I'm still doing it wrong, but it is confirmed
working now
09 Jan 2013; Rick Farina <zerochaos@gentoo.org>
metasploit_data_models-0.3.1.ebuild:
adjust things as suggested by mrueg, except keeping test deps disabled until
pry supports ruby19
*metasploit_data_models-0.3.1 (09 Jan 2013)
09 Jan 2013; Rick Farina <zerochaos@gentoo.org> +metadata.xml,
+metasploit_data_models-0.3.1.ebuild:
initial commit

View file

@ -1,3 +0,0 @@
DIST metasploit_data_models-0.22.8.gem 142336 SHA256 7a959a21bc880c080864a01c8b9db48ed7bab84a87a1326988a48b79775db66f SHA512 7b5e52512ca5114ad1cbc8281d561c506dd496ffc07d4072a6950c5d4d95bcb8d587573eaec3209cb82c59eff6f70ba6795237b051f79835952a25944a4f7ed6 WHIRLPOOL 228ea427767c7a2b43c59680fbe2994da8b87b6f420a28b1969016062c74781f5a5625db09b2d78ba5dcae0a732e7d5fb13da0c9a07fccc8c24d22db351a7908
DIST metasploit_data_models-0.24.0.gem 151040 SHA256 26620a7c5e4435f22a09f724049b1c47099ed35f7042687b0e562347fdfa74ab SHA512 49bb14d10134ecd0ecbbac9b26f6d38c997fb725d8b06630b9ee147ede7ec1ad12e05eac2e39a93dfe200ba4d768a53b03443968a8d6d83aab9b115232b01c35 WHIRLPOOL 8a2e97d5be6e8fe1efab285d77805548c4250af46483ee9b93c7de72bfb1b03a92af6d19a7924ca2f91c0550082b340eca406bc51203038f179a19cb40f9fd5e
DIST metasploit_data_models-1.2.5.gem 170496 SHA256 7aa426e8f0d69c7a2c00f916dfbbbd19817ec0fe5e55e2d1260fb37ff8b32e29 SHA512 b7bb1f12da67b0a052cba68e5f870bc7512baba884573a79095abd4d55539c18956615bd7097f1c1260507222f80644a2d0a65bb9f3ca7cc4c45e275ee5c9500 WHIRLPOOL d6702bdeb59e8dcac3516f2ba8be3a319348e6a08803bcc93a8beba6a76a6e3ca5ce8e46263f9e30c37f01c745ab4badd3665a3984f7ea6ae015bb4b8c3330ec

View file

@ -1,61 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem versionator
RUBY_FAKEGEM_EXTRAINSTALL="app config db script spec"
DESCRIPTION="The database layer for Metasploit"
HOMEPAGE="https://github.com/rapid7/metasploit_data_models"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
#IUSE="development test"
RESTRICT=test
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit_data_models:0"
ruby_add_rdepend "
>=dev-ruby/activerecord-3.2.13[postgres]
dev-ruby/activesupport
dev-ruby/pg
<dev-ruby/railties-4.0.0
dev-ruby/recog
dev-ruby/arel-helpers
dev-ruby/metasploit-concern:0.3
>=dev-ruby/metasploit-model-0.28.0-r3"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}
all_ruby_install() {
ruby_fakegem_binwrapper mdm_console mdm_console-${SLOT}
}

View file

@ -1,61 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem versionator
RUBY_FAKEGEM_EXTRAINSTALL="app config db script spec"
DESCRIPTION="The database layer for Metasploit"
HOMEPAGE="https://github.com/rapid7/metasploit_data_models"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
RESTRICT=test
#IUSE="development test"
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit_data_models:0"
ruby_add_rdepend "
>=dev-ruby/activerecord-3.2.13[postgres]
dev-ruby/activesupport
dev-ruby/pg
<dev-ruby/railties-4.0.0
dev-ruby/recog
dev-ruby/arel-helpers
dev-ruby/metasploit-concern:0.4
dev-ruby/metasploit-model:0.29"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}
all_ruby_install() {
ruby_fakegem_binwrapper mdm_console mdm_console-${SLOT}
}

View file

@ -1,63 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem versionator
RUBY_FAKEGEM_EXTRAINSTALL="app config db script spec"
DESCRIPTION="The database layer for Metasploit"
HOMEPAGE="https://github.com/rapid7/metasploit_data_models"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
RESTRICT=test
#IUSE="development test"
IUSE=""
RDEPEND="${RDEPEND} !dev-ruby/metasploit_data_models:0"
ruby_add_rdepend "
>=dev-ruby/activerecord-4.0.9:4.0[postgres]
>=dev-ruby/activesupport-4.0.9:4.0
dev-ruby/pg
dev-ruby/postgres_ext
>=dev-ruby/railties-4.0.9:4.0
dev-ruby/recog
dev-ruby/arel-helpers
>=dev-ruby/metasploit-concern-1.0.0:1.0
>=dev-ruby/metasploit-model-1.0.0:1.0
<dev-ruby/thor-2.0"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}
all_ruby_install() {
ruby_fakegem_binwrapper mdm_console mdm_console-${SLOT}
}

View file

@ -1,8 +0,0 @@
DIST meterpreter_bins-0.0.11.gem 2940928 SHA256 7801b497102b084beb4d7d2fd16c7b9ea2c057579e7f53a038a952dd835a7c8b SHA512 1232663de93287d2b141e7330df58044a6d6965ecefeba1fbc60d9ec4db3ff8e7aaf13fe9ab575d633a20101ec7d9cfcd02b8c138daff28b592a6b3335613e78 WHIRLPOOL c0b5909f170587e196b46d29f7b546656b12b3008f0176220bae4f92a497ac138696b24a487ef663a2e706a3480a0a487734aa9b68f511c9ff80361ee378f064
DIST meterpreter_bins-0.0.12.gem 2940416 SHA256 3f179126738e7db98b603b5c39cad323d403dc3f961abb6f91fa5874f332ae22 SHA512 71680634248a98a5a4a6b2773b35c3f5a1575d55e310af85b7500540529365dc76e71edf6ed85fc8ce49eea5a3076c31a25ac69ffe4a92a39d3d92193970d0dc WHIRLPOOL 0a72215c838e09178a92e845f6d84bd97328ae22c7d2c179d5c759a8077e7fce3d3a9681e749ff0c4720b4b6f41f4f05ac38ce11d79bfda588e92c4203913bcc
DIST meterpreter_bins-0.0.13.gem 3444224 SHA256 2bc494fd0741b17f3201a3ad049b43114a60d3752ca09273707a4247f0d4feb1 SHA512 ae440c477577b151a45d541e780e4724c279a0c01eda3158596afbbc9f62d494e5b063d5c81bc4018b0174739bd20dfae9d0b63345c76a7211bd6a0b36e93560 WHIRLPOOL ca759ac6ae1c1e98b5709044e1cc3e20e4f3fa87d055581e81c42caea0f7c073fe8fad78cc09c387f4bf1b491d628c7d15b60959ca2c31a1097bae6dc72a1ffc
DIST meterpreter_bins-0.0.14.gem 3444224 SHA256 b0ecfa203f3cb734c73d3805f0024bd67d6c5cef057e5659c62077d61044bdaf SHA512 dcc7e0f987fded485a07d66b9520a94ec48575451bae706bfb74c6c97754c12eb9e7a21039b7bffc05794f35828ee30f62460a114d822353f1cd3237f6f7c35e WHIRLPOOL e9d8468b0976ada4a3483d9e4f96c0fe5d037d56eaf9017b481931d7cabd4d6e4420187aab3788a73e8a7cb427ee64e90c3b59f826e7b5d4e50d22e9e36d71bc
DIST meterpreter_bins-0.0.17.gem 3460608 SHA256 f7a53a104e4f2dd8823c0160b78ac7df571a5ca2a59283899d3d23edbdda248f SHA512 a1d9ed4f70544de3ca8fd0c2303f28c194b58b4a8f816c6b0f7e3c1f55808d2240e8552153e7d671c3932483a51bafa2e887870ed4199ef2dd74c98044a0da16 WHIRLPOOL 3a293362686a0417755172ff4cd3c2d9cb6d143cc39ec6e61d4a360354a91a51fe71cc2f4f30d407f10625b91f235bd9fbf363ce4f14970b3514a07e01ee7b4c
DIST meterpreter_bins-0.0.21.gem 3565568 SHA256 81a6507e7d9409a93daed981374a57ea28fcd6353d0b1ab3850249a595967929 SHA512 add19705ef10e8ced3843e71a77316539a64f9a4a21d7c8cb0c7ccd4da1c45efc8398d3fa30dd7b1e9a0955761ca5a5abff9d0560005d63adbe206367a8d73a2 WHIRLPOOL eb42983c10062474d13b975a156cd07f53a3617758e8a63893968a96dfb790b5441f54f2a04f6310edc4f13a74148fe5750e3787972e2249302c11d224ccd184
DIST meterpreter_bins-0.0.22.gem 3565568 SHA256 870c5f87950d61b7ca55d37ffdfff4592e8e9d1769cd7a546403e3163da5396c SHA512 80b7856bdab0ec91f6adae5497f8d119f21e8f36a2c1750e50f2dda9323dbaf7ebccf6f1a8e57f2459d8a2e6ab7b718454d35a653da6ec03e1e01c1d04c9288d WHIRLPOOL 5c20d5ff8e20a865e9eeb0945bcd81c01c386adc625d4920d1b0b6f61435540a815db0fc37480601181a481f8c304b7e8523d58fe308a5e6b1e5aff3be28ba44
DIST meterpreter_bins-0.0.6.gem 2939904 SHA256 75e1f451a80212314661712d9a88b9ddb4b9b51b18d9451fb05d81d8ffef083e SHA512 d9c51bd61643c41d882db9f6a92477af46cbad6f78428861f52f1bcb283ab1c24a41b297cc70993c7573b0e7578631635beaa83c2bad2170ded7064c5a98c739 WHIRLPOOL 722ebcebf8db8f4fb933a1cf8dedd400cec200d754f0fcab832ba0e62b7fd5f59bc378abe839c5b858d0aaf1f79447f08b65db4e1772066ae3254c0d57192dc5

View file

@ -1,28 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="meterpreter"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://github.com/rapid7/meterpreter_bins"
#https://github.com/rapid7/meterpreter_bins/issues/5
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
RDEPEND="${RDEPEND} !dev-ruby/meterpreter_bins:0"

View file

@ -1,28 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="meterpreter"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://github.com/rapid7/meterpreter_bins"
#https://github.com/rapid7/meterpreter_bins/issues/5
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
RDEPEND="${RDEPEND} !dev-ruby/meterpreter_bins:0"

View file

@ -1,28 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="meterpreter"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://github.com/rapid7/meterpreter_bins"
#https://github.com/rapid7/meterpreter_bins/issues/5
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
RDEPEND="${RDEPEND} !dev-ruby/meterpreter_bins:0"

View file

@ -1,28 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="meterpreter"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://github.com/rapid7/meterpreter_bins"
#https://github.com/rapid7/meterpreter_bins/issues/5
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
RDEPEND="${RDEPEND} !dev-ruby/meterpreter_bins:0"

View file

@ -1,28 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="meterpreter"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://github.com/rapid7/meterpreter_bins"
#https://github.com/rapid7/meterpreter_bins/issues/5
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
RDEPEND="${RDEPEND} !dev-ruby/meterpreter_bins:0"

View file

@ -1,28 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="meterpreter"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://github.com/rapid7/meterpreter_bins"
#https://github.com/rapid7/meterpreter_bins/issues/5
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
RDEPEND="${RDEPEND} !dev-ruby/meterpreter_bins:0"

View file

@ -1,28 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="meterpreter"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://github.com/rapid7/meterpreter_bins"
#https://github.com/rapid7/meterpreter_bins/issues/5
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
RDEPEND="${RDEPEND} !dev-ruby/meterpreter_bins:0"

View file

@ -1,28 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/meterpreter_bins/meterpreter_bins-0.0.10.ebuild,v 1.1 2014/10/19 23:24:24 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRAINSTALL="meterpreter"
inherit ruby-fakegem
DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
HOMEPAGE="https://github.com/rapid7/meterpreter_bins"
#https://github.com/rapid7/meterpreter_bins/issues/5
LICENSE="BSD"
SLOT="${PV}"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
#no tests
RESTRICT=test
RDEPEND="${RDEPEND} !dev-ruby/meterpreter_bins:0"

View file

@ -1 +0,0 @@
DIST pg_array_parser-0.0.9.gem 8192 SHA256 7ab89c67a48efa2fec87463dd9ecdde44d4d8a96e38cea34227214881e6c6480 SHA512 a1503d9598e1658eb63b6294ce1cf6f8d2e7e5c59382407946ec10d25a46b029b4bb8a8c634b190b42bef4954c4aeea60b6ffa16c596e0c3bea2df4c882896ae WHIRLPOOL a8967ff807bcc18c758cb0cd5333128ed1afa240e9544df81b5f24d47c19525a6d22cf027984997f91126137df7759a3cb5829b68a825274d21c40be2e4f0513

View file

@ -1,45 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem versionator
#RUBY_FAKEGEM_EXTRAINSTALL="app config db spec"
DESCRIPTION="Adds missing native PostgreSQL data types to ActiveRecord and convenient querying extensions for ActiveRecord and Arel"
HOMEPAGE="https://github.com/dockyard/postgres_ext"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-3)"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT=test
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
sed -i -e "/gem.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}

View file

@ -1 +0,0 @@
DIST postgres_ext-2.4.1.gem 20992 SHA256 41d5bd383537e90833005f87fe502843ee7097c5a981e81f7ed8464635d89df3 SHA512 e8a0b2990e2939f600c92bfae70ebfb142875ca3b86d6d6ad95bc8bbaf350df8c2fde5173f51ff71616e5b68d7d852d1f4b201573c05afa39aa4134c9cb4ef75 WHIRLPOOL 8d2126b0717c7f4311bd171542dd76db8d56c6b07cdd05400af7130a9e8f06df324faf4ca5aacbddfb31fdfeedf2e40bb9f960f1cbd515f3687dbe5a31c1a622

View file

@ -1,51 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem versionator
#RUBY_FAKEGEM_EXTRAINSTALL="app config db spec"
DESCRIPTION="Adds missing native PostgreSQL data types to ActiveRecord and convenient querying extensions for ActiveRecord and Arel"
HOMEPAGE="https://github.com/dockyard/postgres_ext"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT=test
ruby_add_rdepend ">=dev-ruby/activerecord-4.0.0
>=dev-ruby/arel-4.0.1
dev-ruby/pg_array_parser:0.0.9"
ruby_add_bdepend "dev-ruby/bundler"
all_ruby_prepare() {
[ -f Gemfile.lock ] && rm Gemfile.lock
#if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
sed -i -e "/gem.add_development_dependency/d" "${PN}".gemspec || die
#fi
#if ! use test; then
sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
#fi
#if ! use test && ! use development; then
sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
#fi
sed -i -e "/byebug/d" Gemfile || die
sed -i -e "/fivemat/d" Gemfile || die
}
each_ruby_prepare() {
if [ -f Gemfile ]
then
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
fi
}

View file

@ -1 +0,0 @@
DIST rb-readline-r7-0.5.2.0.gem 96256 SHA256 ea2f63086533f370020087f6ca198b91699a254e79b2f69ba792a2829dffa339 SHA512 e94b60e368104f5e626a5c98dbe894cea52294b9c2061aa0cf32c34b7575a1ba9b0c514221ce266be89553d7936fc82696fc979710b9e8bb2503fc8b3cc0a938 WHIRLPOOL c9556322f6d3ca36674d46c1d9b49680cb76bf642ebf0369df1931503d83ac4b4a6f242d889d1f6f03a59aca6b8decd9598d25f2c1a97f45b8492b6c498fd17c

View file

@ -1,24 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rb-readline/rb-readline-0.5.2.ebuild,v 1.1 2015/01/01 07:53:09 graaff Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21 ruby22"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
inherit ruby-fakegem
DESCRIPTION="Ruby implementation of the GNU readline C library forked by r7"
HOMEPAGE="http://rubygems.org/gems/rb-readline-r7"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
DEPEND="test? ( dev-ruby/minitest
dev-ruby/rake )"
all_ruby_prepare() {
# Skip a test that fails when run in the ebuild environment.
sed -i -e '/test_readline_with_default_parameters_does_not_error/,/end/ s:^:#:' test/test_readline.rb || die
}

View file

@ -1,3 +0,0 @@
DIST recog-1.0.0.gem 166912 SHA256 19e0189f56ad89b4096b191e3fa60f7e5c47a4041966c26c8d17cde4afca1579 SHA512 476024840c2c973d231ffbd0b0321a68121810df2102eca0affb15e63d7b71d2534421be0c12691cf43a023ce3f7ba72ed8c31207a29347b338836e8d1a2d503 WHIRLPOOL f9c942bc0f5f6dc7be01d9fa57d743bb897dddf52112f4a41dc37a55fb13dd88be7599b70a4419d9201d7122c6010384a9e7b192e5cf62ac56e542bc6c568320
DIST recog-2.0.0.gem 184832 SHA256 9ad6bd2cc8fc0802feeacb7de9082e794b0ef4f644ed493c3b9d7c945adaaa73 SHA512 bccad353d3ad3206af5f35053032296c690b23f1c197d713652fbc709a25803cb0831179cdef6cc6855d6ab0d3d375110f419fbceeb871e4aacfbd2fd8b7a12b WHIRLPOOL 4cd8b006dcab521bc5217b5f4759ac215777c68e9b816b760b850b1d26b4b1a6ff2eda0c4d071497b962a2e8205eab9dc319bc7c84878a6525eadba41aef2539
DIST recog-2.0.6.gem 188928 SHA256 333d867db310b908342f857ee4f3f60b869386ff7b908e06f4dec8b9352ceb97 SHA512 408e83889632127d584ce8d09244c63246807aa5f89d88c082bbfd441a2e708cd67f23aebf23fa08c5db6bfd7ff771071daf64df9a66224aa5f04fcaba3d1387 WHIRLPOOL 2aaef470b15e3b8ac99d99bc3f8975447d5aa3d05220540d61f4972083f8cf6a0b04ba89e88aefc0dfd355f59f6f1bd5e9754bf00b6b5a5a953ef21f42fc3509

View file

@ -1,19 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
DESCRIPTION="Pattern recognition for hosts, services, and content"
HOMEPAGE="https://github.com/rapid7/${PN}"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="1"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend "dev-ruby/nokogiri !=dev-ruby/recog-1.0.0"

View file

@ -1,19 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
DESCRIPTION="Pattern recognition for hosts, services, and content"
HOMEPAGE="https://github.com/rapid7/${PN}"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="2"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend "dev-ruby/nokogiri !=dev-ruby/recog-2.0.0"

View file

@ -1,19 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
DESCRIPTION="Pattern recognition for hosts, services, and content"
HOMEPAGE="https://github.com/rapid7/${PN}"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="2"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend "dev-ruby/nokogiri !=dev-ruby/recog-2.0.0"

View file

@ -1 +0,0 @@
DIST rubyntlm-0.4.0.gem 21504 SHA256 bd10dcab5f1166e10049f0649a28f49bcc56c0592683d094a2852dd62b8ab50f SHA512 33a845b3b898d5e45ef51d4c3ab9a928789d2506c9854dedac2afb71b639abd91054c89357a0f33f975984172b8b7bf58c22a6ec50e4ab423d3269910284151e WHIRLPOOL a67927dde3fc3b539640d5d346e239c4fd0db4c0f3e7af1836c619ee942920a9f5f7c26e7035d0dfe9ef98de610fefb945ab6ed480403437e94af4ac6a64e59f

View file

@ -1,17 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/metasploit_data_models/metasploit_data_models-0.17.0.ebuild,v 1.3 2014/07/09 21:13:54 zerochaos Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21"
inherit ruby-fakegem
DESCRIPTION="Ruby/NTLM provides message creator and parser for the NTLM authentication."
HOMEPAGE="http://rubygems.org/gems/rubyntlm"
SRC_URI="mirror://rubygems/${P}.gem"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

View file

@ -1,2 +0,0 @@
DIST metasploit-4.11.4_p2015072701.tar.gz 34946703 SHA256 b372130f132310582b8e75bbbd0a2e0167eaa154b42a5937ba9db648f8a4132d SHA512 d8f6e9dc3c4cff87d24d43fe979869063533ac542d16e9eb1259b8f6593d6750003c3fd50055063fe6fc7ad0c5defcc7d8d8a828a375397d5f841b6de5c4ed34 WHIRLPOOL 7038d526fbde3a4067b4e25493211f7cc81b6ec2ca49eaf672e817d3d6f7909c3dc36195c3bff78383092e00d65549913bb56ade27686d19dc2faea66f70711e
DIST metasploit-4.11.4_p2015090201.tar.gz 35211994 SHA256 1254dbb3e8cf33c7a6c8c701a0be13f78bbd2234503e636f1afacf88676aeea2 SHA512 b96c9735ef579b5f98d1fd7176f91bb1710d263a19d3ff891877df8e341baa1749d5fdce9825a19d9ecbe162b72ebcd11336d4d7884e066f4e199baaff8b4085 WHIRLPOOL 875db5df25112736dd62ec1195080d2567a670cf3a770e787b70c364c6b30b43bf906f7ba35901ff367ce940b02af7b17ae135693a28ff5fca9fc05038132ae2

View file

@ -1,297 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI="5"
#never ever ever have more than one ruby in here
USE_RUBY="ruby21"
inherit eutils ruby-ng
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/rapid7/metasploit-framework.git"
EGIT_CHECKOUT_DIR="${WORKDIR}"/all
inherit git-r3
KEYWORDS=""
SLOT="9999"
else
##Tags https://github.com/rapid7/metasploit-framework/releases
##Releases https://github.com/rapid7/metasploit-framework/wiki/Downloads-by-Version
#SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${PV}.tar.gz -> ${P}.tar.gz"
##Snapshots
MY_PV=${PV/_p/-}
SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
RUBY_S="${PN}-framework-${MY_PV}"
inherit versionator
SLOT="$(get_version_component_range 1).$(get_version_component_range 2)"
fi
DESCRIPTION="Advanced open-source framework for developing, testing, and using vulnerability exploit code"
HOMEPAGE="http://www.metasploit.org/"
LICENSE="BSD"
IUSE="development +java oracle +pcap test"
#multiple known bugs with tests reported upstream and ignored
#http://dev.metasploit.com/redmine/issues/8418 - worked around (fix user creation when possible)
RESTRICT="test"
RUBY_COMMON_DEPEND="virtual/ruby-ssl
>=dev-ruby/activesupport-4.0.9:4.0
>=dev-ruby/actionpack-4.0.9:4.0
>=dev-ruby/activerecord-4.0.9:4.0
dev-ruby/bcrypt-ruby
dev-ruby/builder:3
dev-ruby/bundler
=dev-ruby/jsobfu-0.2*
dev-ruby/json
dev-ruby/kissfft
=dev-ruby/metasploit_data_models-1.2.5
dev-ruby/meterpreter_bins:0.0.22
dev-ruby/metasploit-payloads:1.0.7
>=dev-ruby/metasploit-credential-1.0.0:1.0
=dev-ruby/metasploit-concern-1.0.0:1.0
=dev-ruby/metasploit-model-1.0.0:1.0
dev-ruby/msgpack
dev-ruby/nokogiri
=dev-ruby/recog-2.0.6:2
=dev-ruby/rkelly-remix-0.0.6
dev-ruby/sqlite3
>=dev-ruby/pg-0.11
=dev-ruby/packetfu-1.1.9
>=dev-ruby/rubyzip-1.1
dev-ruby/rb-readline-r7
dev-ruby/robots
java? ( dev-ruby/rjb )
oracle? ( dev-ruby/ruby-oci8 )
pcap? ( dev-ruby/pcaprub
dev-ruby/network_interface )
development? ( dev-ruby/fivemat
dev-ruby/pry
dev-ruby/redcarpet
dev-ruby/yard
>=dev-ruby/rake-10.0.0
>=dev-ruby/factory_girl-4.1.0 )"
#lorcon doesn't support ruby21
#lorcon? ( net-wireless/lorcon[ruby] )
ruby_add_bdepend "${RUBY_COMMON_DEPEND}
test? ( >=dev-ruby/factory_girl-4.1.0
dev-ruby/fivemat
dev-ruby/database_cleaner
>=dev-ruby/rspec-2.12
dev-ruby/shoulda-matchers
dev-ruby/timecop
>=dev-ruby/rake-10.0.0 )"
ruby_add_rdepend "${RUBY_COMMON_DEPEND}"
COMMON_DEPEND="dev-db/postgresql[server]
>=app-crypt/johntheripper-1.7.9-r1[-minimal]
net-analyzer/nmap"
RDEPEND+=" ${COMMON_DEPEND}
>=app-eselect/eselect-metasploit-0.16"
RESTRICT="strip"
QA_PREBUILT="
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x86_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_armle_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x86_solaris.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x64_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x64_linux_dll.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x86_bsd.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x64_bsd.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_mipsbe_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_mipsle_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/${PN}${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/${PN}${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/${PN}${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/$(get_libdir)/${PN}${SLOT}/data/exploits/CVE-2013-2171.bin
usr/$(get_libdir)/${PN}${SLOT}/data/exploits/CVE-2014-3153.elf
usr/$(get_libdir)/${PN}${SLOT}/data/android/libs/x86/libndkstager.so
usr/$(get_libdir)/${PN}${SLOT}/data/android/libs/mips/libndkstager.so
usr/$(get_libdir)/${PN}${SLOT}/data/android/libs/armeabi/libndkstager.so
"
pkg_setup() {
if use test; then
su postgres -c "dropdb msf_test_database" #this is intentionally allowed to fail
su postgres -c "createuser msf_test_user -d -S -R"
if [ $? -ne 0 ]; then
su postgres -c "dropuser msf_test_user" || die
su postgres -c "createuser msf_test_user -d -S -R" || die
fi
su postgres -c "createdb --owner=msf_test_user msf_test_database" || die
fi
ruby-ng_pkg_setup
}
all_ruby_unpack() {
if [[ ${PV} == "9999" ]] ; then
git-r3_src_unpack
else
default_src_unpack
# mv "${WORKDIR}"/all/msf3/* "${WORKDIR}"/all
# rm -r msf3
#msf_version=$(grep --color=never "CURRENT_VERSION =" ${S}/spec/lib/msf/core/framework_spec.rb)
#msf_version=${msf_version#*=}
fi
}
all_ruby_prepare() {
# add psexec patch from pull request 2657 to allow custom exe templates from any files, bypassing most AVs
#epatch "${FILESDIR}/agix_psexec_pull-2657.patch"
epatch_user
#unbundle johntheripper, at least it now defaults to running the system version
rm -r data/john/run.*
rm -r data/john/src.tar.bz2
#remove random "cpuinfo" binaries which a only needed to detect which bundled john to run
rm -r data/cpuinfo
#remove random oudated collected garbage
rm -r external
#remove unneeded ruby bundler versioning files
#Gemfile.lock contains the versions tested by the msf team but not the hard requirements
#we regen this file in each_ruby_prepare
rm Gemfile.lock
#The Gemfile contains real known deps
#add our dep on upstream rb-readline instead of bundled one
#and then they broke it...
#sed -i "/gem 'packetfu'/a #use upstream readline instead of bundled\ngem 'rb-readline'" Gemfile || die
sed -i "/gem 'fivemat'/s/, '1.2.1'//" Gemfile || die
#remove the bundled readline
#https://github.com/rapid7/metasploit-framework/pull/3105
#this PR was closed due to numerous changes to their local fork, almost entirely for non-linux
#but now we have to go back to bundled readline because otherwise it's broken
#rm lib/rbreadline.rb
#now we edit the Gemfile based on use flags
#even if we pass --without=blah bundler still calculates the deps and messes us up
if ! use pcap; then
sed -i -e "/^group :pcap do/,/^end$/d" Gemfile || die
fi
if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
fi
if ! use test; then
sed -i -e "/^group :test/,/^end$/d" Gemfile || die
fi
if ! use test && ! use development; then
sed -i -e "/^group :development/,/^end$/d" Gemfile || die
fi
#We don't need simplecov
sed -i -e "/^group :coverage/,/^end$/d" Gemfile || die
sed -i -e "s#require 'simplecov'##" spec/spec_helper.rb || die
#we need to edit the gemspec too, since it tries to call git instead of anything sane
#probably a better way to fix this... if I care at some point
sed -i -e "/^ spec.files/,/^ }/d" metasploit-framework.gemspec || die
#let's bogart msfupdate
rm msfupdate
echo "#!/bin/sh" > msfupdate
echo "echo \"[*]\"" >> msfupdate
echo "echo \"[*] Attempting to update the Metasploit Framework...\"" >> msfupdate
echo "echo \"[*]\"" >> msfupdate
echo "echo \"\"" >> msfupdate
if [[ ${PV} == "9999" ]] ; then
echo "if [ -x /usr/bin/smart-live-rebuild ]; then" >> msfupdate
echo " smart-live-rebuild -f net-analyzer/metasploit" >> msfupdate
echo "else" >> msfupdate
echo " echo \"Please install app-portage/smart-live-rebuild for a better experience.\"" >> msfupdate
echo "emerge --oneshot \"=${CATEGORY}/${PF}\"" >> msfupdate
echo "fi" >> msfupdate
else
echo "echo \"Unable to update tagged version of metasploit.\"" >> msfupdate
echo "echo \"If you want the latest please install and eselect the live version (metasploit9999)\"" >> msfupdate
echo "echo \"emerge metasploit:9999 -vat && eselect metasploit set metasploit9999\"" >> msfupdate
fi
#this is set executable in src_install
#install our database.yml file before tests are run
cp "${FILESDIR}"/database.yml config/
}
each_ruby_prepare() {
MSF_ROOT="." BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
MSF_ROOT="." BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
#force all metasploit executables to use desired ruby version
#https://dev.metasploit.com/redmine/issues/8357
for file in $(ls -1 msf*)
do
#poorly adapted from python.eclass
sed -e "1s:^#![[:space:]]*\([^[:space:]]*/usr/bin/env[[:space:]]\)\?[[:space:]]*\([^[:space:]]*/\)\?ruby\([[:digit:]]\+\(\.[[:digit:]]\+\)\?\)\?\(\$\|[[:space:]].*\):#!\1\2${RUBY}:" -i "${file}" || die "Conversion of shebang in '${file}' failed"
done
}
each_ruby_test() {
#review dev-python/pymongo for ways to make the test compatible with FEATURES=network-sandbox
#we bogart msfupdate so no point in trying to test it
rm spec/msfupdate_spec.rb || die
#we don't really want to be uploading to virustotal during the tests
rm spec/tools/virustotal_spec.rb || die
# https://dev.metasploit.com/redmine/issues/8425
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake db:create || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake db:migrate || die
MSF_DATABASE_CONFIG=config/database.yml BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake || die
su postgres -c "dropuser msf_test_user" || die "failed to cleanup msf_test-user"
}
each_ruby_install() {
#Tests have already been run, we don't need this stuff
rm -r spec || die
rm -r test || die
rm Gemfile.lock || die
#I'm 99% sure that this will only work for as long as we only support one ruby version. Creativity will be needed if we wish to support multiple.
# should be as simple as copying everything into the target...
dodir /usr/$(get_libdir)/${PN}${SLOT}
cp -R * "${ED}"/usr/$(get_libdir)/${PN}${SLOT} || die "Copy files failed"
rm -Rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/documentation "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/README.md
fowners -R root:0 /
}
all_ruby_install() {
# do not remove LICENSE, bug #238137
dodir /usr/share/doc/${PF}
cp -R {documentation,README.md} "${ED}"/usr/share/doc/${PF} || die
dosym /usr/share/doc/${PF}/documentation /usr/$(get_libdir)/${PN}${SLOT}/documentation
fperms +x /usr/$(get_libdir)/${PN}${SLOT}/msfupdate
#tell revdep-rebuild to ignore binaries meant for the target
dodir /etc/revdep-rebuild
cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-metasploit${SLOT}
#These dirs contain prebuilt binaries for running on the TARGET not the HOST
SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/meterpreter"
SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/exploits"
EOF
}
pkg_postinst() {
elog "Before use you should run 'env-update' and '. /etc/profile'"
elog "otherwise you may be missing important environmental variables."
elog "You need to prepare the database by running:"
elog "emerge --config postgresql"
elog "/etc/init.d/postgresql-<version> start"
elog "emerge --config =metasploit-${PV}"
"${EROOT}"/usr/bin/eselect metasploit set --use-old ${PN}${SLOT}
einfo
elog "Adjust /usr/lib/${PN}${SLOT}/config/database.yml if necessary"
}
pkg_config() {
einfo "If the following fails, it is likely because you forgot to start/config postgresql first"
su postgres -c "createuser msf_user -D -S -R"
su postgres -c "createdb --owner=msf_user msf_database"
}

View file

@ -1,297 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI="5"
#never ever ever have more than one ruby in here
USE_RUBY="ruby21"
inherit eutils ruby-ng
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/rapid7/metasploit-framework.git"
EGIT_CHECKOUT_DIR="${WORKDIR}"/all
inherit git-r3
KEYWORDS=""
SLOT="9999"
else
##Tags https://github.com/rapid7/metasploit-framework/releases
##Releases https://github.com/rapid7/metasploit-framework/wiki/Downloads-by-Version
#SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${PV}.tar.gz -> ${P}.tar.gz"
##Snapshots
MY_PV=${PV/_p/-}
SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
RUBY_S="${PN}-framework-${MY_PV}"
inherit versionator
SLOT="$(get_version_component_range 1).$(get_version_component_range 2)"
fi
DESCRIPTION="Advanced open-source framework for developing, testing, and using vulnerability exploit code"
HOMEPAGE="http://www.metasploit.org/"
LICENSE="BSD"
IUSE="development +java oracle +pcap test"
#multiple known bugs with tests reported upstream and ignored
#http://dev.metasploit.com/redmine/issues/8418 - worked around (fix user creation when possible)
RESTRICT="test"
RUBY_COMMON_DEPEND="virtual/ruby-ssl
>=dev-ruby/activesupport-4.0.9:4.0
>=dev-ruby/actionpack-4.0.9:4.0
>=dev-ruby/activerecord-4.0.9:4.0
dev-ruby/bcrypt-ruby
dev-ruby/builder:3
dev-ruby/bundler
=dev-ruby/jsobfu-0.2*
dev-ruby/json
dev-ruby/kissfft
=dev-ruby/metasploit_data_models-1.2.5
dev-ruby/meterpreter_bins:0.0.22
dev-ruby/metasploit-payloads:1.0.9
>=dev-ruby/metasploit-credential-1.0.0:1.0
>=dev-ruby/metasploit-concern-1.0.0:1.0
>=dev-ruby/metasploit-model-1.0.0:1.0
dev-ruby/msgpack
dev-ruby/nokogiri
=dev-ruby/recog-2.0.6:2
=dev-ruby/rkelly-remix-0.0.6
dev-ruby/sqlite3
>=dev-ruby/pg-0.11
=dev-ruby/packetfu-1.1.9
>=dev-ruby/rubyzip-1.1
dev-ruby/rb-readline-r7
dev-ruby/robots
java? ( dev-ruby/rjb )
oracle? ( dev-ruby/ruby-oci8 )
pcap? ( dev-ruby/pcaprub
dev-ruby/network_interface )
development? ( dev-ruby/fivemat
dev-ruby/pry
dev-ruby/redcarpet
dev-ruby/yard
>=dev-ruby/rake-10.0.0
>=dev-ruby/factory_girl-4.1.0 )"
#lorcon doesn't support ruby21
#lorcon? ( net-wireless/lorcon[ruby] )
ruby_add_bdepend "${RUBY_COMMON_DEPEND}
test? ( >=dev-ruby/factory_girl-4.1.0
dev-ruby/fivemat
dev-ruby/database_cleaner
>=dev-ruby/rspec-2.12
dev-ruby/shoulda-matchers
dev-ruby/timecop
>=dev-ruby/rake-10.0.0 )"
ruby_add_rdepend "${RUBY_COMMON_DEPEND}"
COMMON_DEPEND="dev-db/postgresql[server]
>=app-crypt/johntheripper-1.7.9-r1[-minimal]
net-analyzer/nmap"
RDEPEND+=" ${COMMON_DEPEND}
>=app-eselect/eselect-metasploit-0.16"
RESTRICT="strip"
QA_PREBUILT="
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x86_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_armle_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x86_solaris.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x64_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x64_linux_dll.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x86_bsd.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_x64_bsd.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_mipsbe_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/templates/template_mipsle_linux.bin
usr/$(get_libdir)/${PN}${SLOT}/data/meterpreter/msflinker_linux_x86.bin
usr/$(get_libdir)/${PN}${SLOT}/data/meterpreter/ext_server_sniffer.lso
usr/$(get_libdir)/${PN}${SLOT}/data/meterpreter/ext_server_networkpug.lso
usr/$(get_libdir)/${PN}${SLOT}/data/meterpreter/ext_server_stdapi.lso
usr/$(get_libdir)/${PN}${SLOT}/data/exploits/CVE-2013-2171.bin
usr/$(get_libdir)/${PN}${SLOT}/data/exploits/CVE-2014-3153.elf
usr/$(get_libdir)/${PN}${SLOT}/data/android/libs/x86/libndkstager.so
usr/$(get_libdir)/${PN}${SLOT}/data/android/libs/mips/libndkstager.so
usr/$(get_libdir)/${PN}${SLOT}/data/android/libs/armeabi/libndkstager.so
"
pkg_setup() {
if use test; then
su postgres -c "dropdb msf_test_database" #this is intentionally allowed to fail
su postgres -c "createuser msf_test_user -d -S -R"
if [ $? -ne 0 ]; then
su postgres -c "dropuser msf_test_user" || die
su postgres -c "createuser msf_test_user -d -S -R" || die
fi
su postgres -c "createdb --owner=msf_test_user msf_test_database" || die
fi
ruby-ng_pkg_setup
}
all_ruby_unpack() {
if [[ ${PV} == "9999" ]] ; then
git-r3_src_unpack
else
default_src_unpack
# mv "${WORKDIR}"/all/msf3/* "${WORKDIR}"/all
# rm -r msf3
#msf_version=$(grep --color=never "CURRENT_VERSION =" ${S}/spec/lib/msf/core/framework_spec.rb)
#msf_version=${msf_version#*=}
fi
}
all_ruby_prepare() {
# add psexec patch from pull request 2657 to allow custom exe templates from any files, bypassing most AVs
#epatch "${FILESDIR}/agix_psexec_pull-2657.patch"
epatch_user
#unbundle johntheripper, at least it now defaults to running the system version
rm -r data/john/run.*
rm -r data/john/src.tar.bz2
#remove random "cpuinfo" binaries which a only needed to detect which bundled john to run
rm -r data/cpuinfo
#remove random oudated collected garbage
rm -r external
#remove unneeded ruby bundler versioning files
#Gemfile.lock contains the versions tested by the msf team but not the hard requirements
#we regen this file in each_ruby_prepare
rm Gemfile.lock
#The Gemfile contains real known deps
#add our dep on upstream rb-readline instead of bundled one
#and then they broke it...
#sed -i "/gem 'packetfu'/a #use upstream readline instead of bundled\ngem 'rb-readline'" Gemfile || die
sed -i "/gem 'fivemat'/s/, '1.2.1'//" Gemfile || die
#remove the bundled readline
#https://github.com/rapid7/metasploit-framework/pull/3105
#this PR was closed due to numerous changes to their local fork, almost entirely for non-linux
#but now we have to go back to bundled readline because otherwise it's broken
#rm lib/rbreadline.rb
#now we edit the Gemfile based on use flags
#even if we pass --without=blah bundler still calculates the deps and messes us up
if ! use pcap; then
sed -i -e "/^group :pcap do/,/^end$/d" Gemfile || die
fi
if ! use development; then
sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
fi
if ! use test; then
sed -i -e "/^group :test/,/^end$/d" Gemfile || die
fi
if ! use test && ! use development; then
sed -i -e "/^group :development/,/^end$/d" Gemfile || die
fi
#We don't need simplecov
sed -i -e "/^group :coverage/,/^end$/d" Gemfile || die
sed -i -e "s#require 'simplecov'##" spec/spec_helper.rb || die
#we need to edit the gemspec too, since it tries to call git instead of anything sane
#probably a better way to fix this... if I care at some point
sed -i -e "/^ spec.files/,/^ }/d" metasploit-framework.gemspec || die
#let's bogart msfupdate
rm msfupdate
echo "#!/bin/sh" > msfupdate
echo "echo \"[*]\"" >> msfupdate
echo "echo \"[*] Attempting to update the Metasploit Framework...\"" >> msfupdate
echo "echo \"[*]\"" >> msfupdate
echo "echo \"\"" >> msfupdate
if [[ ${PV} == "9999" ]] ; then
echo "if [ -x /usr/bin/smart-live-rebuild ]; then" >> msfupdate
echo " smart-live-rebuild -f net-analyzer/metasploit" >> msfupdate
echo "else" >> msfupdate
echo " echo \"Please install app-portage/smart-live-rebuild for a better experience.\"" >> msfupdate
echo "emerge --oneshot \"=${CATEGORY}/${PF}\"" >> msfupdate
echo "fi" >> msfupdate
else
echo "echo \"Unable to update tagged version of metasploit.\"" >> msfupdate
echo "echo \"If you want the latest please install and eselect the live version (metasploit9999)\"" >> msfupdate
echo "echo \"emerge metasploit:9999 -vat && eselect metasploit set metasploit9999\"" >> msfupdate
fi
#this is set executable in src_install
#install our database.yml file before tests are run
cp "${FILESDIR}"/database.yml config/
}
each_ruby_prepare() {
MSF_ROOT="." BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
MSF_ROOT="." BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
#force all metasploit executables to use desired ruby version
#https://dev.metasploit.com/redmine/issues/8357
for file in $(ls -1 msf*)
do
#poorly adapted from python.eclass
sed -e "1s:^#![[:space:]]*\([^[:space:]]*/usr/bin/env[[:space:]]\)\?[[:space:]]*\([^[:space:]]*/\)\?ruby\([[:digit:]]\+\(\.[[:digit:]]\+\)\?\)\?\(\$\|[[:space:]].*\):#!\1\2${RUBY}:" -i "${file}" || die "Conversion of shebang in '${file}' failed"
done
}
each_ruby_test() {
#review dev-python/pymongo for ways to make the test compatible with FEATURES=network-sandbox
#we bogart msfupdate so no point in trying to test it
rm spec/msfupdate_spec.rb || die
#we don't really want to be uploading to virustotal during the tests
rm spec/tools/virustotal_spec.rb || die
# https://dev.metasploit.com/redmine/issues/8425
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake db:create || die
BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake db:migrate || die
MSF_DATABASE_CONFIG=config/database.yml BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle exec rake || die
su postgres -c "dropuser msf_test_user" || die "failed to cleanup msf_test-user"
}
each_ruby_install() {
#Tests have already been run, we don't need this stuff
rm -r spec || die
rm -r test || die
rm Gemfile.lock || die
#I'm 99% sure that this will only work for as long as we only support one ruby version. Creativity will be needed if we wish to support multiple.
# should be as simple as copying everything into the target...
dodir /usr/$(get_libdir)/${PN}${SLOT}
cp -R * "${ED}"/usr/$(get_libdir)/${PN}${SLOT} || die "Copy files failed"
rm -Rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/documentation "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/README.md
fowners -R root:0 /
}
all_ruby_install() {
# do not remove LICENSE, bug #238137
dodir /usr/share/doc/${PF}
cp -R {documentation,README.md} "${ED}"/usr/share/doc/${PF} || die
dosym /usr/share/doc/${PF}/documentation /usr/$(get_libdir)/${PN}${SLOT}/documentation
fperms +x /usr/$(get_libdir)/${PN}${SLOT}/msfupdate
#tell revdep-rebuild to ignore binaries meant for the target
dodir /etc/revdep-rebuild
cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-metasploit${SLOT}
#These dirs contain prebuilt binaries for running on the TARGET not the HOST
SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/meterpreter"
SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/exploits"
EOF
}
pkg_postinst() {
elog "Before use you should run 'env-update' and '. /etc/profile'"
elog "otherwise you may be missing important environmental variables."
elog "You need to prepare the database by running:"
elog "emerge --config postgresql"
elog "/etc/init.d/postgresql-<version> start"
elog "emerge --config =metasploit-${PV}"
"${EROOT}"/usr/bin/eselect metasploit set --use-old ${PN}${SLOT}
einfo
elog "Adjust /usr/lib/${PN}${SLOT}/config/database.yml if necessary"
}
pkg_config() {
einfo "If the following fails, it is likely because you forgot to start/config postgresql first"
su postgres -c "createuser msf_user -D -S -R"
su postgres -c "createdb --owner=msf_user msf_database"
}

View file

@ -43,6 +43,7 @@ dev-ruby/builder:3.1
~dev-ruby/mime-types-1.19
#required by metasploit-9999
dev-ruby/net-ssh
=dev-ruby/bundler-1.9*
dev-ruby/rb-readline-r7
~dev-ruby/yard-0.8.7.6